package com.info666.app.infraredRemote;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import com.info666.app.infraredRemote.activity.InfraredRemoteActivity;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private SharedPreferences sp;

    private EditText etUrl;

    private Button btnNext;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        sp = getSharedPreferences("config", Context.MODE_PRIVATE);
        etUrl = findViewById(R.id.et_url);
        btnNext = findViewById(R.id.bt_next);
        btnNext.setOnClickListener(this);
        etUrl.setText(sp.getString("url","http://ccvadmin.info666.com/ljshxyqy/"));
    }


    @Override
    public void onClick(View v) {
        if (v.getId() == R.id.bt_next){
            String url = etUrl.getText().toString();
            if(null == url || url.length() == 0){
                return;
            }
            SharedPreferences.Editor editor = sp.edit();
            editor.putString("url",url);
            editor.commit();
            Intent intent = new Intent(this, InfraredRemoteActivity.class);
            startActivity(intent);
            super.finish();
        }
    }
}