package com.info666.app.infraredRemote.activity;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Bundle;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.info666.app.infraredRemote.R;
import com.info666.app.infraredRemote.api.ConsumerIrManagerApi;

import java.lang.reflect.Method;

public class InfraredRemoteActivity extends AppCompatActivity {
    private WebView webView;

    private SharedPreferences sp;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_infrared_remote);
        sp = getSharedPreferences("config", Context.MODE_PRIVATE);
        this.initView();
        this.initData();
    }

    private void initView(){
        this.webView = findViewById(R.id.wb_infrared_remote);
    }

    private void initData(){
        WebSettings webSettings = webView.getSettings();
        webSettings.setDomStorageEnabled(true);
        //  允许WebView加载JavaScript
        webSettings.setJavaScriptEnabled(true);
        // 允许跨域
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.JELLY_BEAN){
            webView.getSettings().setAllowUniversalAccessFromFileURLs(true);
        }else{
            try {
                Class<?> clazz = webView.getSettings().getClass();
                Method method = clazz.getMethod("setAllowUniversalAccessFromFileURLs", boolean.class);
                if (method != null) {
                    method.invoke(webView.getSettings(), true);
                }
            } catch (Exception e){
                e.printStackTrace();
            }
        }
        webView.setWebViewClient(new WebViewClient());
        webView.addJavascriptInterface(new ConsumerIrManagerApi(getApplicationContext()), "adIrApi");;
        webView.loadUrl(sp.getString("url","https://www.qq.com"));
    }

}
